<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Untitled :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/asciidoc-toolkit/latest/Includes/004.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../../_'</script>
    <link rel="icon" href="../../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:asciidoc-toolkit" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="asciidoc-toolkit" data-version="1.6">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="../index.html">AsciiDoc toolkit</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../general-info.html">General information</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../api.html">API description</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">AsciiDoc toolkit</span>
    <span class="version">1.6</span>
  </div>
  <ul class="components">
    <li class="component is-current">
      <a class="title" href="../../latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../../1.7/index.html">1.7</a>
        </li>
        <li class="version is-current">
          <a href="../index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc/latest/index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
</nav>
<div class="page-versions">
  <button class="version-menu-toggle" title="Show other versions of page">1.6</button>
  <div class="version-menu">
    <a class="version" href="../../latest/Includes/004.html">1.8</a>
    <a class="version" href="../../1.7/Includes/004.html">1.7</a>
    <a class="version is-current" href="004.html">1.6</a>
  </div>
</div>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/asciidoc-toolkit/edit/docs/v1.6/docs/modules/ROOT/pages/Includes/004.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<div class="sect1">
<h2 id="attributes"><a class="anchor" href="#attributes"></a>Attributes</h2>
<div class="sectionbody">
<div class="imageblock">
<div class="content">
<img src="../_images/Attributes_icon.png" alt="Attributes icon">
</div>
</div>
<div class="imageblock">
<div class="content">
<img src="../_images/Attributes.png" alt="Attributes">
</div>
</div>
<div class="sect2">
<h3 id="set-image-directory"><a class="anchor" href="#set-image-directory"></a>Set Image Directory</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Set_Image_Directory.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Set Image Directory.vi">
</div>
</div>
<div class="paragraph">
<p>Sets the directory for locating images added to the document.</p>
</div>
</div>
<div class="sect2">
<h3 id="set-table-of-content"><a class="anchor" href="#set-table-of-content"></a>Set Table Of Content</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Set_Table_Of_Content.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Set Table Of Content.vi">
</div>
</div>
<div class="paragraph">
<p>Enable or disable the creation of a table of contents in the generated document</p>
</div>
</div>
<div class="sect2">
<h3 id="set-table-of-content-levels"><a class="anchor" href="#set-table-of-content-levels"></a>Set Table Of Content Levels</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Set_Table_Of_Content_Levels.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Set Table Of Content Levels.vi">
</div>
</div>
<div class="paragraph">
<p>Set the number of section levels (i.e. subsection depth) shown in the table of contents</p>
</div>
</div>
<div class="sect2">
<h3 id="set-section-numbering"><a class="anchor" href="#set-section-numbering"></a>Set Section Numbering</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Set_Section_Numbering.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Set Section Numbering.vi">
</div>
</div>
<div class="paragraph">
<p>Enable or disable section numbering in the generated document</p>
</div>
</div>
<div class="sect2">
<h3 id="add-custom-attribute"><a class="anchor" href="#add-custom-attribute"></a>Add Custom Attribute</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Add_Custom_Attribute.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Add Custom Attribute.vi">
</div>
</div>
<div class="paragraph">
<p>Add a custom attribute to the document.</p>
</div>
<div class="paragraph">
<p>Attributes can be references in the text using {"attribute name"}. Allowing e.g. text subsitutions etc.</p>
</div>
<div class="paragraph">
<p>For more information see: <a href="https://dosc.asciidoctor.org/asciidoc/latest/attributes/document-attributes" class="bare">https://dosc.asciidoctor.org/asciidoc/latest/attributes/document-attributes</a></p>
</div>
</div>
</div>
</div>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../../_/js/site.js" data-ui-root-path="../../../_"></script>
<script async src="../../../_/js/vendor/highlight.js"></script>
<script src="../../../_/js/vendor/lunr.js"></script>
<script src="../../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../../.." data-snippet-length="100" data-stylesheet="../../../_/css/search.css"></script>
<script async src="../../../search-index.js"></script>
  </body>
</html>
